JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes
juce_NetworkServiceDiscovery.h File Reference

## Classes
struct | NetworkServiceDiscovery
| Contains classes that implement a simple protocol for broadcasting the availability and location of a discoverable service on the local network, and for maintaining a list of known services. More...
struct | NetworkServiceDiscovery::Advertiser
| An object which runs a thread to repeatedly broadcast the existence of a discoverable service. More...
struct | NetworkServiceDiscovery::Service
| Contains information about a service that has been found on the network. More...
struct | NetworkServiceDiscovery::AvailableServiceList
| Watches the network for broadcasts from Advertiser objects, and keeps a list of all the currently active instances. More...